---
apiVersion: "v1"
kind: "List"
items:
- apiVersion: "image.openshift.io/v1"
  kind: "ImageStream"
  metadata:
    name: "app"
  spec:
    lookupPolicy:
      local: false
- apiVersion: "build.openshift.io/v1"
  kind: "BuildConfig"
  metadata:
    labels:
      scenarioId: "OpenShiftFileFtpBindyQuickstartIT-1687333054295"
    name: "app"
  spec:
    output:
      to:
        kind: "ImageStreamTag"
        name: "app:latest"
    source:
      configMaps:
      - configMap:
          name: "settings-mvn"
        destinationDir: "/configuration"
      contextDir: "file-bindy-ftp"
      git:
        ref: "no-repositories-test"
        uri: "https://github.com/jboss-fuse/camel-quarkus-examples.git"
      type: "Git"
    strategy:
      sourceStrategy:
        env:
        - name: "MAVEN_ARGS"
          value: "-s /configuration/settings.xml  -Dquarkus.platform.group-id=com.redhat.quarkus.platform\
            \ -Dquarkus.platform.version=2.13.7.SP3-redhat-00003 -Dcamel-quarkus.platform.group-id=com.redhat.quarkus.platform\
            \ -Dcamel-quarkus.platform.artifact-id=quarkus-camel-bom -Dcamel-quarkus.platform.version=2.13.7.SP3-redhat-00003\
            \ -B -DskipTests -DskipITs=true -Dformatter.skip -Dquarkus.platform.version=2.13.7.SP3-redhat-00003\
            \ -Dquarkus.platform.group-id=com.redhat.quarkus.platform -Dquarkus-plugin.version=2.13.7.SP3-redhat-00003"
        from:
          kind: "DockerImage"
          name: "registry.access.redhat.com/ubi8/openjdk-17:latest"
      type: "Source"
    triggers:
    - type: "ConfigChange"
    - imageChange: {}
      type: "ImageChange"